- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PK_FinalTemplate< BASE > Class Template Reference

`#include <pubkey.h>`

List of all members.

## Detailed Description

### template<class BASE>
class PK_FinalTemplate< BASE >

A template implementing constructors for public key algorithm classes.

Definition at line 1472 of file pubkey.h.

## Public Member Functions
| PK_FinalTemplate ()
| PK_FinalTemplate (const CryptoMaterial &key)
| PK_FinalTemplate (BufferedTransformation &bt)
| PK_FinalTemplate (const AsymmetricAlgorithm &algorithm)
| PK_FinalTemplate (const Integer &v1)
template<class T1, class T2>
| PK_FinalTemplate (const T1 &v1, const T2 &v2)
template<class T1, class T2, class T3>
| PK_FinalTemplate (const T1 &v1, const T2 &v2, const T3 &v3)
template<class T1, class T2, class T3, class T4>
| PK_FinalTemplate (const T1 &v1, const T2 &v2, const T3 &v3, const T4 &v4)
template<class T1, class T2, class T3, class T4, class T5>
| PK_FinalTemplate (const T1 &v1, const T2 &v2, const T3 &v3, const T4 &v4, const T5 &v5)
template<class T1, class T2, class T3, class T4, class T5, class T6>
| PK_FinalTemplate (const T1 &v1, const T2 &v2, const T3 &v3, const T4 &v4, const T5 &v5, const T6 &v6)
template<class T1, class T2, class T3, class T4, class T5, class T6, class T7>
| PK_FinalTemplate (const T1 &v1, const T2 &v2, const T3 &v3, const T4 &v4, const T5 &v5, const T6 &v6, const T7 &v7)
template<class T1, class T2, class T3, class T4, class T5, class T6, class T7, class T8>
| PK_FinalTemplate (const T1 &v1, const T2 &v2, const T3 &v3, const T4 &v4, const T5 &v5, const T6 &v6, const T7 &v7, const T8 &v8)
template<class T1, class T2>
| PK_FinalTemplate (T1 &v1, const T2 &v2)
template<class T1, class T2, class T3>
| PK_FinalTemplate (T1 &v1, const T2 &v2, const T3 &v3)
template<class T1, class T2, class T3, class T4>
| PK_FinalTemplate (T1 &v1, const T2 &v2, const T3 &v3, const T4 &v4)
template<class T1, class T2, class T3, class T4, class T5>
| PK_FinalTemplate (T1 &v1, const T2 &v2, const T3 &v3, const T4 &v4, const T5 &v5)
template<class T1, class T2, class T3, class T4, class T5, class T6>
| PK_FinalTemplate (T1 &v1, const T2 &v2, const T3 &v3, const T4 &v4, const T5 &v5, const T6 &v6)
template<class T1, class T2, class T3, class T4, class T5, class T6, class T7>
| PK_FinalTemplate (T1 &v1, const T2 &v2, const T3 &v3, const T4 &v4, const T5 &v5, const T6 &v6, const T7 &v7)
template<class T1, class T2, class T3, class T4, class T5, class T6, class T7, class T8>
| PK_FinalTemplate (T1 &v1, const T2 &v2, const T3 &v3, const T4 &v4, const T5 &v5, const T6 &v6, const T7 &v7, const T8 &v8)

The documentation for this class was generated from the following file:

- pubkey.h